#!/usr/bin/make -f

# Achim Gaedke
# May 2007
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1
#
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
#
# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed




export DH_OPTIONS=-v

BACKENDSBASE=$(shell pwd)/debian/damaris-backends
BACKENDSMACHINES = \
	dummycore \
	deuteron_backend \
	magnexgrad_backend \
	magnexgrad_backend_dds \
	PFGcore \
	fc2_backend \
	bg_backend \
	Mobilecore \
	berta \
        birgit \
	Mobile_wo_sync_backend \
        general

tmp_kernel_makefiles = $(wildcard /lib/modules/*/build/Makefile)
#if we are no debian testing, exclude xen-686 (problems with pci_... support in pulseblaster and spc driver)
# with xen-686, waiting for problems to be fixed
#KERNELVERSIONS = $(filter-out %-xen-686, $(tmp_kernel_makefiles:/lib/modules/%/build/Makefile=%))
# for stable everything is still fine
KERNELVERSIONS = $(tmp_kernel_makefiles:/lib/modules/%/build/Makefile=%)
DEB_BUILD_ARCH=$(strip $(shell dpkg-architecture -qDEB_BUILD_ARCH))


#build: build-stamp

%:
	dh $@ --buildsystem=cmake --parallel --builddirectory=build

clean:
	rm -rf build
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_SYSCONFDIR=/etc

override_dh_install:
	dh_install
	dh_installmodules

